//自定义的压缩任务
tasks.register('zipAudioFilesToAssets', Zip) {
    println("zipAudioFilesToAssets")
    // 设置源文件路径（需要压缩的文件路径）
    from('../audio')
    // zip文件名
    archiveFileName = 'audio.zip'
    // 目标路径（压缩后的zip文件放置的位置）
    destinationDirectory = file('src/main/assets/')


    // 监听任务开始
    doFirst {
        println 'zipAudioFilesToAssets start'
    }

    // 监听任务结束
    doLast {
        println 'zipAudioFilesToAssets end'
    }
}
// 在打包 APK 前执行
preBuild.dependsOn zipAudioFilesToAssets